Calico®
v2
  • v2
  • v1
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. Providers
  • Getting Started
  • Calico Connect
  • Use Cases
  • Pagination
  • Versioning
  • Platform API
    • Changelog
    • Authentication
      • Authorization Callback
    • Providers
      • Add providers
        POST
      • List connected providers
        GET
      • Remove providers
        DELETE
    • Assets
      • User assets
      • Refresh asset list
    • Transactions
      • Transactions
      • Refresh transactions
  • Resources
    • Response codes
    • FAQs
  • Schemas
    • Schemas
      • CalicoErrorResponse
      • RefreshResponse
    • AddProvidersRequest
    • AddProvidersResponse
    • AddProvidersData
    • ListProvidersResponse
    • ListProvidersData
    • ProviderMetadata
    • DeleteProvidersRequest
    • DeleteProvidersResponse
    • DeleteProvidersData
    • ProviderMetadataV2.1
    • ConnectedProvidersMetadataV2.1
    • GetAssetsResponse
    • GetAssetsData
    • AssetPosition
    • GetTransactionsResponse
    • GetTransactionsData
    • TransactionCategorization
    • TransactionType
    • FeeItem
    • FeeObject
    • CurrencyValue
    • Transactions data
    • Input only transactions
    • Send transaction data
    • Receive transaction data
    • Output only transaction data
    • Transactions with input and output
    • Uncategorized transaction data
    • CryptoSourceCredentialAuthType
    • RefreshResponseData
    • IntegrationResponse
    • IntegrationData
    • AuthMetaData
    • PageData
    • APIConnection
    • WalletConnection
    • OAuth2Connection
    • ErrorItem
    • ProviderId
    • GetConsentURLForThirdPartyResponse
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. Providers

Add providers

Platform v2
https://api.getcalico.com
Platform v2
https://api.getcalico.com
POST
/accounts/v2/providers
Add providers to an account.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
The request was successful and the provider was successfully added.
Body

🟢200OK
⚪0
⚪0
⚪0
⚪0
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api.getcalico.com/accounts/v2/providers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "providerId": "ethereum",
    "providerAuthType": "wallet_address",
    "walletAddress": "0xF684986e3bB52204B16A83Fe239E9908e806d007",
    "displayLabel": "Test wallet"
}'
Response Response Example
201 - Example 1
{
    "data": {
        "added": true,
        "redirect_url": "string"
    },
    "errors": [
        {
            "provider_id": "string",
            "cause": "bad_request"
        }
    ]
}
Previous
Providers
Next
List connected providers